%define name ocaml-tophide
%define version 1.0.0
%define release %mkrel 1

Summary: Ocaml top-level value-hiding extension
Name:    %{name}
Version: %{version}
Release: %{release}
Source0: http://mjambon.com/tophide-%{version}.tar.gz
License: BSD
Group:   Development/Other
Url:     http://mjambon.com/ocaml.html#tophide
BuildRequires:  ocaml >= 3.12.0
BuildRequires:  ocaml-findlib

%description 
Ocaml tophide hides top-level values whose name starts with an
underscore. Primarily for use with Camlp4 syntax extensions.

%prep
%setup -q -n tophide-%{version}

%build
make

%install
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR $OCAMLFIND_DESTDIR/stublibs
make install

%files
%doc LICENSE README
%dir %{_libdir}/ocaml/tophide
%{_libdir}/ocaml/tophide/META
%{_libdir}/ocaml/tophide/tophide.cmi
%{_libdir}/ocaml/tophide/tophide.cmo



%changelog

* Thu Apr 05 2012 malo <malo> 1.0.0-1.mga2
+ Revision: 228767
- imported package ocaml-tophide

